<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];

$opcaoAtualizacao = $_POST['opcaoAtualizacao'];

switch($opcaoAtualizacao){

  case "atualizacao-comunicacao-geral":
    	$stmAtuaizaStatusComunicacao = $rsConexao->prepare("UPDATE reg_tb_agendamentos SET em_comunicacao='N', cancelar_comunicacao='N' WHERE status_agendamento='Agendado' AND em_comunicacao='S'");
    	$stmAtuaizaStatusComunicacao  -> execute();   
  break;
  case "atualizacao-comunicacao-ligacoes":
   	$idPaciente                   = $_POST['idPaciente'];
   	$dataRetirada                 = $_POST['dataRetirada'];
   	$stmAtuaizaStatusComunicacao  = $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET encaminhado_ligacao='S' WHERE id_statussolicitacao='3' AND id_paciente='$idPaciente' AND data_retirada='$dataRetirada'");
    $stmAtuaizaStatusComunicacao  -> execute();
  break;
	case "atualizacao-comunicacao-whatsapp":
  	$idPaciente                   = $_POST['idPaciente'];
    $dataRetirada                 = $_POST['dataRetirada'];
    $stmAtuaizaStatusComunicacao  = $rsConexao->prepare("UPDATE reg_tb_agendamentos SET encaminhado_ligacao='N', em_comunicacao='N' WHERE status_agendamento='Agendado' AND id_paciente='$idPaciente' AND data_retirada='$dataRetirada'");
    $stmAtuaizaStatusComunicacao  -> execute();
  break;

	case "atualizacao-comunicacao-cancelar":
		$dataCancelamento	= date('Y-m-d H:i');
		$idAgendamento		= $_POST['idAgendamento'];
		$stmAtuaizaStatus	= $rsConexao->prepare("UPDATE reg_tb_agendamentos SET status_agendamento='Cancelado', data_cancelamento='$dataCancelamento', id_usuario_cancelou='$usuarioLogado'  WHERE id_agendamento='$idAgendamento'");
		$stmAtuaizaStatus	-> execute();
	break;	
   
	case "atualizacao-devolver-entrega":
		$dataDevolucao	= date('Y-m-d H:i');
		$idAgendamento		= $_POST['idAgendamento'];
		$stmAtuaizaStatus	= $rsConexao->prepare("UPDATE reg_tb_agendamentos SET status_agendamento='Devolvido', id_usuario_devolveu='$usuarioLogado', data_devolucao='$dataDevolucao'  WHERE id_agendamento='$idAgendamento'");
		$stmAtuaizaStatus	-> execute();
	break;	

  case "atualizacao-comunicacao-confirmado-ligacoes":
		$idAgendamento								= $_POST['idAgendamento'];
		$stmAtuaizaStatusComunicacao  = $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET encaminhado_ligacao='S', status_comunicacao=null, id_statussolicitacao='3' WHERE id_solicitacao='$idAgendamento'");
		$stmAtuaizaStatusComunicacao  -> execute();
 break;

}
?>